# EventBufferEvent::setPriority

(PECL event >= 1.2.6-beta)

EventBufferEvent::setPriority — Assign a priority to a bufferevent

### Description

public EventBufferEvent::setPriority ( int `$priority` ) : bool

Assign a priority to a bufferevent

Warning

Only supported for socket buffer events

### Parameters

`priority`

  Priority value.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.